cURL
curl --request PATCH \ --url https://api.example.com/api/v1/purchase-orders/{po_id} \ --header 'Content-Type: application/json' \ --data ' { "poType": "<string>", "supplierId": "<string>", "supplierRefPo": "<string>", "materialRequestId": "<string>", "salesOrderId": "<string>", "orderDate": "<string>", "expectedDeliveryDate": "<string>", "currency": "<string>", "subtotal": 123, "taxRate": 123, "taxAmount": 123, "total": 123, "purpose": "<string>", "expenseCategory": "<string>", "frequency": "<string>", "managementAccountId": "<string>", "status": "<string>", "notes": "<string>" } '
{ "id": "<string>", "poType": "<string>", "documentId": "<string>", "supplierId": "<string>", "supplierVendor": "<string>", "supplierRefPo": "<string>", "materialRequestId": "<string>", "mrIds": "<string>", "salesOrderId": "<string>", "orderDate": "<string>", "expectedDeliveryDate": "<string>", "currency": "<string>", "subtotal": 123, "taxRate": 123, "taxAmount": 123, "total": 123, "purpose": "<string>", "expenseCategory": "<string>", "category": "<string>", "frequency": "<string>", "managementAccountId": "<string>", "status": "<string>", "notes": "<string>", "createdAt": "<string>", "itemsCount": 123, "dueDate": "<string>", "lineItems": [ { "id": "<string>", "purchaseOrderId": "<string>", "itemNumber": 123, "materialId": "<string>", "description": "<string>", "uom": "<string>", "qty": 123, "unitPrice": 123, "amount": 123, "linkedMrLineId": "<string>", "status": "<string>" } ] }
Update a purchase order.
Documentation IndexFetch the complete documentation index at: https://docs.vinmake.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
Use this file to discover all available pages before exploring further.
Successful Response
Show child attributes